/******************************************************************************
 TestParserDirector.h

	Interface for the TestParserDirector class

	Copyright © 1996 by John Lindal. All rights reserved.

 ******************************************************************************/

#ifndef _H_TestParserDirector
#define _H_TestParserDirector

#include <JXWindowDirector.h>

class JXTextButton;

class TestParserDirector : public JXWindowDirector
{
public:

	TestParserDirector(JXDirector* supervisor);

	virtual ~TestParserDirector();

protected:

	virtual void	Receive(JBroadcaster* sender, const Message& message);

private:

// begin JXLayout

    JXTextButton* itsTestFEditButton;
    JXTextButton* itsTestDParseButton;
    JXTextButton* itsTestFEqButton;
    JXTextButton* itsTestDEqButton;
    JXTextButton* itsTestCFEditButton;

// end JXLayout

private:

	void	BuildWindow();

	void	TestFunctionEditor(const JBoolean useComplex);
	void	TestDecisionParser();

	// not allowed

	TestParserDirector(const TestParserDirector& source);
	const TestParserDirector& operator=(const TestParserDirector& source);
};

#endif
